> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference/scenarios/consumptions.md).

# Consumptions

Scenario consumption refers to information about the number of centicredits, operations, and data transfer used by a scenario. The following endpoints retrieve information about your scenario consumption during your current restart period. You can view the end of your current restart period in your dashboard under the Usage reset field.

## List scenario consumptions

> Retrieves a list of scenarios and their current consumption. Make counts the number of consumed centicredits, operations, and transferred data according to your reset period.\
> \
> If you have a monthly reset period, the response contains a list of scenarios that consumed at least one hundred centicredits (one operation) in the current reset period with their consumption and data transfer..\
> \
> \<div class="alert alert-warning"> \<p>If you have a yearly reset period, the response contains a list of scenarios that consumed at least one hundred centicredits (one operation) in the last 60 days, or from the last reset if that period is shorter than 60 days.\</p>\
> \<p>60 days after the reset the scenario consumptions turn into running totals over the last 60 days.\</p>\
> \<p>For example, let's assume that you have a set of scenarios that consume 100000 centicredits (1000 operations) every day. On the 61st day from your last reset, you turn off a scenario that consumes 20000 centicredits (200 operations) every day, reducing your consumption to 80000 centicredits (800 operations) per day.\<p>\
> \<p>If you would have the yearly reset period and you would be tracking your scenario consumptions, you would get the following data:\</p>\
> \<div itemscope itemtype="[https://schema.org/FAQPage">](https://schema.org/FAQPage">) \<div class="card table"> \<table class="table"> \<thead> \<tr> \<th>\<strong class="text-nowrap">Day\</strong>\</th> \<th>\<strong>Consumptions\</strong>\</th> \<th>\<strong>Delta\</strong>\</th> \</tr> \</thead> \<tbody> \<tr> \<td>1\</td> \<td>1000\</td> \<td>\</td> \</tr> \<tr> \<td>2\</td> \<td>2000\</td> \<td>1000\</td> \</tr> \<tr> \<td>3\</td> \<td>3000\</td> \<td>1000\</td> \</tr> \<tr> \<td>...\</td> \<td>\</td> \<td>\</td> \</tr> \<tr> \<td>60\</td> \<td>60000\</td> \<td>1000\</td> \</tr> \<tr> \<td>61\</td> \<td>59800\</td> \<td>-200\</td> \</tr> \<tr> \<td>62\</td> \<td>59600\</td> \<td>-200\</td> \</tr> \</tbody> \</table> \</div> \</div>\
> \<p>The negative difference between scenario consumptions on the 60th and 61st day happens because on the 61st day, the endpoint doesn't collect data from the first day anymore. Your scenario consumptions contain a total over the time period from the second day until the 61st day.\</p>\
> \<p>For billing, Make uses a different system which ensures accurate billing.\<p> \</div>\
> \
> Check the parameter \`lastReset\` in the response for the timestamp of the start of your current reset period. You can also view the end of your current restart period in your dashboard in the \*\*Usage reset\*\* field.\
> \
> Set the \`organizationId\` or \`teamId\` parameters to limit the results to a specific organization or team.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Scenarios / Consumptions","description":"Scenario consumption refers to information about the number of centicredits, operations, and data transfer used by a scenario. The following endpoints retrieve information about your scenario consumption during your current restart period. You can view the end of your current restart period in your dashboard under the Usage reset field."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["scenarios:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/scenarios/consumptions":{"get":{"tags":["Scenarios / Consumptions"],"summary":"List scenario consumptions","description":"Retrieves a list of scenarios and their current consumption. Make counts the number of consumed centicredits, operations, and transferred data according to your reset period.\n\nIf you have a monthly reset period, the response contains a list of scenarios that consumed at least one hundred centicredits (one operation) in the current reset period with their consumption and data transfer..\n\n<div class=\"alert alert-warning\"> <p>If you have a yearly reset period, the response contains a list of scenarios that consumed at least one hundred centicredits (one operation) in the last 60 days, or from the last reset if that period is shorter than 60 days.</p>\n<p>60 days after the reset the scenario consumptions turn into running totals over the last 60 days.</p>\n<p>For example, let's assume that you have a set of scenarios that consume 100000 centicredits (1000 operations) every day. On the 61st day from your last reset, you turn off a scenario that consumes 20000 centicredits (200 operations) every day, reducing your consumption to 80000 centicredits (800 operations) per day.<p>\n<p>If you would have the yearly reset period and you would be tracking your scenario consumptions, you would get the following data:</p>\n<div itemscope itemtype=\"https://schema.org/FAQPage\"> <div class=\"card table\"> <table class=\"table\"> <thead> <tr> <th><strong class=\"text-nowrap\">Day</strong></th> <th><strong>Consumptions</strong></th> <th><strong>Delta</strong></th> </tr> </thead> <tbody> <tr> <td>1</td> <td>1000</td> <td></td> </tr> <tr> <td>2</td> <td>2000</td> <td>1000</td> </tr> <tr> <td>3</td> <td>3000</td> <td>1000</td> </tr> <tr> <td>...</td> <td></td> <td></td> </tr> <tr> <td>60</td> <td>60000</td> <td>1000</td> </tr> <tr> <td>61</td> <td>59800</td> <td>-200</td> </tr> <tr> <td>62</td> <td>59600</td> <td>-200</td> </tr> </tbody> </table> </div> </div>\n<p>The negative difference between scenario consumptions on the 60th and 61st day happens because on the 61st day, the endpoint doesn't collect data from the first day anymore. Your scenario consumptions contain a total over the time period from the second day until the 61st day.</p>\n<p>For billing, Make uses a different system which ensures accurate billing.<p> </div>\n\nCheck the parameter `lastReset` in the response for the timestamp of the start of your current reset period. You can also view the end of your current restart period in your dashboard in the **Usage reset** field.\n\nSet the `organizationId` or `teamId` parameters to limit the results to a specific organization or team.","parameters":[{"description":"The unique ID of the team whose scenarios folders will be retrieved.","name":"teamId","in":"query","schema":{"type":"integer"},"required":true},{"name":"organizationId","in":"query","schema":{"type":"integer"},"description":"The ID of the organization."}],"responses":{"200":{"description":"Retrieved a list of Consumptions","content":{"application/json":{"schema":{"type":"object","properties":{"scenarioConsumptions":{"type":"array","items":{"type":"object","properties":{"scenarioId":{"type":"integer"},"operations":{"type":"integer"},"transfer":{"type":"integer"},"centicredits":{"type":"integer"}}}},"lastReset":{"type":"string","format":"date-time"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.make.com/api-documentation/api-reference/scenarios/consumptions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
